%define		perlversion	5.10.0
%define		perlepoch	3
%define		perlname	IO-Socket-SSL

Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Summary:	This module is a true drop-in replacement for IO::Socket::INET with SSL.
Name:		perl-%{perlname}
Version:	1.12
Release:	1
License:	GNU/GPL 
URL:		http://search.cpan.org/search?module=IO+Socket+SSL
Group:		Development/Perl
Source0:	%{perlname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot

Requires:	perl = %{perlepoch}:%{perlversion}
Requires:	perl-Net-SSLeay
BuildRequires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl-Net-SSLeay
BuildRequires:	openssl-devel

%description
This module is a true drop-in replacement for IO::Socket::INET that uses SSL
to encrypt data before it is transferred to a remote server or client.
IO::Socket::SSL supports all the extra features that one needs to write a
full-featured SSL client or server application: multiple SSL contexts,
cipher selection, certificate verification, and SSL version selection.
As an extra bonus, it works perfectly with mod_perl.
For more details see: http://search.cpan.org/~behroozi/IO-Socket-SSL-0.96/

%prep
%setup -q -n %{perlname}-%{version}

%build
perl Makefile.PL %_prefix
make

%install
rm -Rf %{buildroot}
make install DESTDIR=%{buildroot}
# removing unwanted stuff
if [ -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod ]; then
	rm -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod
fi
# stripping package
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_libdir
%_mandir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jan 01 2008 Stefan Gottwald <gotti@ccux-linux.de> 1.12-1
- Version Update
* Wed May 17 2006 Christian Wasem <wasem@ccux-linux.de> 0.96-5
- Rebuild against perl-5.8.8
* Sun Dec 04 2005 Setfan Gottwald <gotti@ccux-linux.de> 0.96-4
- Rebuild against perl-5.8.7
* Fri Dec 02 2005 Setfan Gottwald <gotti@ccux-linux.de> 0.96-3
- rebuild, removed wrong vendor flag
* Sat Nov 19 2005 Stefan Gottwald <gotti@ccux-linux.de> 0.96-2
- rebuild, removed wrong Obsoletes-Tag
* Sat Jul 09 2005 Christian Wasem <wasem@ccux-linux.de> 0.96-1
- Initial Release  
